package eu.europa.ec.taxud.cesop.readers;

import eu.europa.ec.taxud.cesop.xsd.XsdSchema;

public class UnknownXsdVersionException extends RuntimeException {
    private UnknownXsdVersionException(String message) {
        super(message);
    }

    public static UnknownXsdVersionException unparsableVersion() {
        return new UnknownXsdVersionException("Root CESOP tag is with version attribute is not found.");
    }

    public static UnknownXsdVersionException unsupportedVersion(String version) {
        return new UnknownXsdVersionException(String.format("Unsupported version attribute '%s', supported versions are: %s.", version, XsdSchema.SUPPORTED_VERSIONS));
    }
}
